<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link href="lib/bootstrap-5.0.0-beta1-dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="style.css" rel= "stylesheet">
  </head>

<header style="height: 200px">
	
	<div class="posLogo col-3 h-100">
		<a href="index.html">
			<img src="img/logo.png" class="logo" alt="Logo du site">
		</a>
	</div>
	<div class="posBanniere col-9 h-100">
		<a href="index.html">
			<img src="img/banniere.jpg" class="banniere" alt="Bannière du site">
		</a>
	</div>
  
</header>
<body>
	<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <div class="container-fluid">
    <ul><li><a class="navbar-brand" href="index.html">Accueil</a></li>
    <li><a class="nav-link" href="#connexion" data-bs-toggle="collapse" id="utilisateur">Connexion</a></li>
    <li id="connexion" class="collapse">
	<form>
	<div><label for="nomUtilisateur">Nom d'utilisateur </label><input type="text" id="nomUtilisateur"/></div>
	<div><label for="mdp">Mot de passe </label><input type="password" id="mdp"/></div>
	<div><button type="button" class="btn btn-outline-success" onclick="connexionUtilisateur(event)">Se Connecter</button></div>
	</form></li>
    </ul>
    
      <form class="d-flex">
        <input id="findInput" class="form-control me-2" type="search" placeholder="Rechercher" aria-label="Rechercher">
       <button class="input-group-text" type="button" onclick="FindNext();"><img src="img/search.svg"></button>
      </form>
  </div>
</nav>
	

		
	<div class = "offset-2 col-8">
		<table class="table table-striped table-bordered table-responsive col-8" id="liste">
		<thead>
			<tr>
			<th scope="row">Identifiant du quiz</th>
			<th scope="row">Nom du quiz</th>
			<th scope="row">Type de quiz</th>
			<th scope="row">Description</th>
			<th scope="row">Niveau de difficulté</th>
			<th scope="row">Date de création</th>
			<th scope="row">Nom de l'auteur</th>
			<th scope="row">Actions</th>
			</tr>
		</thead>
		<tbody id="tableBody">
			<tr >
			<td scope="row">2</td>
			<td>Orthographe</td>
			<td>Français</td>
			<td>Quizz sur l'orthographe !</td>
			<td>Moyen</td>
			<td>17/08/2006</td>
			<td>Chrisna HAY</td>
			<td>
			<button class="btn-primary" onclick="modifierLigne(event);">Modifier</button>
			<button class="btn-danger" onclick="supprimerLigne(event)" id="yoyo">Supprimer</button>
			</td>
			</tr>
			
			<tr>
			<td scope="row">3</td>
			<td>Anglais</td>
			<td>Langues</td>
			<td>Quizz sur l'anglais !</td>
			<td>Difficile</td>
			<td>23/11/2007</td>
			<td>Tommy ENG</td>
			<td>
			<button class="btn-primary" onclick="modifierLigne(event)">Modifier</button>
			<button class="btn-danger" onclick="supprimerLigne(event)">Supprimer</button>
			</td>
			</tr>
			
			<tr>
			<td scope="row">4</td>
			<td>Physique</td>
			<td>Sciences</td>
			<td>Quizz sur la physique !</td>
			<td>Impossible</td>
			<td>28/06/2011</td>
			<td>Yon ENG</td>
			<td>
			<button class="btn-primary" onclick="modifierLigne(event)">Modifier</button>
			<button class="btn-danger" onclick="supprimerLigne(event)">Supprimer</button>
			</td>
			</tr>
			
			<tr>
			<td scope="row">5</td>
			<td>Espagnol</td>
			<td>Langues</td>
			<td>Quizz sur l'espagnol !</td>
			<td>Très Facile</td>
			<td>03/02/2012</td>
			<td>David ENG</td>
			<td>
			<button class="btn-primary" onclick="modifierLigne(event)">Modifier</button>
			<button class="btn-danger" onclick="supprimerLigne(event)">Supprimer</button>
			</td>
			</tr>

		</tbody>
		</table>
	</div>
</div>



<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Ajouter un quiz</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <form>
        <div><label for="idQuiz">ID du quiz </label><input type="number" min="1" id="idQuiz"><p><span class="erreur" id="erreurId"></span></p></div>
        <div><label for="nomQuiz">Nom du quiz </label><input type="text" id="nomQuiz" value=""/><p><span class="erreur" id="erreurNom"></span></p></div>
        <div><label for="typeQuiz">Type du quiz </label><input type="text" id="typeQuiz"/><p><span class="erreur" id="erreurType"></span></p></div>
        <div><label for="descriptionQuiz">Description du quiz </label><textarea id="descriptionQuiz"></textarea></div>
        <div><label for="niveauQuiz">Niveau du quiz </label><select id="niveauQuiz">
				<option value="Très Facile">Très facile</option>
				<option value="Facile">Facile</option>
				<option value="Moyen">Moyen</option>
				<option value="Difficile">Difficile</option>
				<option value="Impossible">Impossible</option>
		</select><p><span class="erreur" id="erreurNiveau"></span></p></div>
		<div><label for="dateQuiz">Date de création </label><input type="date" id="dateQuiz"/><p><span class="erreur" id="erreurDate"></span></p></div>
		<div><label for="auteurQuiz">Auteur du quiz </label><input type="text" id="auteurQuiz"/><p><span class="erreur" id="erreurAuteur"></span></p></div>
        </form>
      </div>
      <div class="modal-footer">
		  
        <button type="button" class="btn btn-danger" data-bs-dismiss="modal">Fermer</button>
        <button type="button" class="btn btn-secondary" onclick="raz();">Réinitialiser</button>
        <button type="button" class="btn btn-primary" onclick="validerFormulaire(); addRow(event);">Ajouter</button>
      </div>
    </div>
  </div>
</div>
      

	<div class="offset-5">
	<!-- Button trigger modal -->
<button type="button" class="btn btn-success" data-bs-toggle="modal" data-bs-target="#exampleModal">
  Ajouter un quiz
</button>

</div>

	<!-- Bootstrap JS -->
	<script src="lib/bootstrap-5.0.0-beta1-dist/js/bootstrap.bundle.min.js"></script>

	 <!--
		C'est ici que vous insérez votre code JavaScript. Vous pouvez supprimer le code de la fonction example().
	 -->
	<script>
		
		function connexionUtilisateur()
		{
			let user = document.getElementById("nomUtilisateur").value;
			if(user=="")
			{
				alert("Veuillez entrer votre nom d'utilisateur");
			}
			else
			{
			document.getElementById("utilisateur").innerHTML = "Bienvenue, " + user + " !";
			$(".collapse").collapse('hide');
			document.getElementById("utilisateur").removeAttribute("href");
			var btn = document.createElement('button');
			btn.textContent="Déconnexion";
			
			btn.style.height = "40px";
			btn.style.width = "150px";
			btn.setAttribute("class", "btn btn-outline-danger");
			btn.addEventListener("click", function(){
				document.getElementById("utilisateur").setAttribute("href", "#connexion");
				document.getElementById("utilisateur").innerHTML = "Connexion";
				$(this).hide();
				});
			document.body.appendChild(btn);
			}
		}

        function FindNext () {
            var str = document.getElementById ("findInput").value;
            if (str == "") {
                alert ("Veuillez entrer du texte à rechercher.");
                return;
            }
            
            if (window.find) {        // Firefox, Google Chrome, Safari
                var found = window.find (str);
                if (!found) {
                    alert ("Aucun résultat pour la recherche suivante :\n" + str);
                }
            }
            else {
                alert ("Votre navigateur ne supporte pas la fonction Recherche !");
            }
        }
 
		function supprimerLigne(evt)
		{	
			var confirmation = confirm("Êtes-vous sûr de vouloir supprimer cette ligne?");
			if(confirmation == true)
			{
				var ligneActuelle = evt.target;
				tmp = ligneActuelle.parentNode.parentNode;
				tmp.parentNode.removeChild(tmp);
			}
		}
		
		function supprimerLigne2(evt)
		{	
			var ligneActuelle = evt.target;
			tmp = ligneActuelle.parentNode.parentNode;
			tmp.parentNode.removeChild(tmp);
		}
		
		function addRow(evt)
		{
			evt.preventDefault();
				let tbody = document.getElementById("tableBody");
				let id = document.getElementById("idQuiz").value;
				let nom = document.getElementById("nomQuiz").value;
				let type = document.getElementById("typeQuiz").value;
				let description = document.getElementById("descriptionQuiz").value;
				let niveau = document.getElementById("niveauQuiz").value;
				let date = document.getElementById("dateQuiz").value;
				let auteur = document.getElementById("auteurQuiz").value;
				let dateLocale = new Date(date);
				if(id !="" && nom != "" && type != "" && niveau !="" && date !="" && auteur != "")
				{
					var confirmation = confirm("Êtes-vous sûr de vouloir ajouter ce quiz?");
					if (confirmation == true)
					{
					var nouvelleLigne = tbody.insertRow();
					var idCellule = nouvelleLigne.insertCell();
					idCellule.appendChild(document.createTextNode(id));
					var nomCellule = nouvelleLigne.insertCell();
					nomCellule.appendChild(document.createTextNode(nom));
					var typeCellule = nouvelleLigne.insertCell();
					typeCellule.appendChild(document.createTextNode(type));
					var descriptionCellule = nouvelleLigne.insertCell();
					descriptionCellule.appendChild(document.createTextNode(description));
					var niveauCellule = nouvelleLigne.insertCell();
					niveauCellule.appendChild(document.createTextNode(niveau));
					var dateCellule = nouvelleLigne.insertCell();
					dateCellule.appendChild(document.createTextNode(dateLocale.getDate()+'/'+(dateLocale.getMonth()+1)+'/'+dateLocale.getFullYear()));	
					var auteurCellule = nouvelleLigne.insertCell();
					auteurCellule.appendChild(document.createTextNode(auteur));
					var actionCellule = nouvelleLigne.insertCell();
					var bouton = document.createElement("button");
					bouton.className = 'btn-primary';
					bouton.innerHTML = "Modifier";
					bouton.addEventListener('click', function(){modifierLigne(event);}, false);	
					var bouton2 = document.createElement("button");
					bouton2.className = 'btn-danger';
					bouton2.innerHTML = "Supprimer";
					bouton2.id = nouvelleLigne.rowIndex;
					bouton2.addEventListener('click', function(){supprimerLigne(event);}, false);		
					actionCellule.appendChild(bouton);
					actionCellule.appendChild(bouton2);
					raz();
					}
				}
				else
				{
					alert("Tous les champs nécessaires ne sont pas remplis !");
				}
			}
		
		function raz()
		{
			document.getElementById("idQuiz").value = "";
			document.getElementById("nomQuiz").value = "";
			document.getElementById("typeQuiz").value = "";
			document.getElementById("descriptionQuiz").value = "";
			document.getElementById("niveauQuiz").value = "";
			document.getElementById("dateQuiz").value = "";
			document.getElementById("auteurQuiz").value = "";
		}
		
		function modifierLigne(evt)
		{
			var ligneActuelle = evt.target;
			tmp = ligneActuelle.parentNode.parentNode;
			let tbody = document.getElementById("tableBody");
			var ligneModifiable = tbody.insertRow(tmp.rowIndex);
			var idCellule = ligneModifiable.insertCell();
			var idq = document.createElement("INPUT");
			idq.setAttribute("type", "number");
			idq.value = tmp.children[0].textContent;
			idq.size="6";
			idCellule.appendChild(idq);
			
			var nomCellule = ligneModifiable.insertCell();
			var nomq = document.createElement("INPUT");
			nomq.setAttribute("type", "text");
			nomq.value = tmp.children[1].textContent;
			nomq.size="10";
			nomCellule.appendChild(nomq);
			
			var typeCellule = ligneModifiable.insertCell();
			var typeq = document.createElement("INPUT");
			typeq.setAttribute("type", "text");
			typeq.value = tmp.children[2].textContent;
			typeq.size="10";
			typeCellule.appendChild(typeq);
			
			var descriptionCellule = ligneModifiable.insertCell();
			var descriptionq = document.createElement("TEXTAREA");
			descriptionq.setAttribute("type", "text");
			descriptionq.value = tmp.children[3].textContent;
			descriptionq.rows="2";
			descriptionq.cols="12";
			descriptionCellule.appendChild(descriptionq);
			
			var niveauCellule = ligneModifiable.insertCell();
			var niveauq = document.createElement("SELECT");
			var x = document.createElement("OPTION");
			x.setAttribute("value", "Très Facile");
			var t = document.createTextNode("Très Facile");
			x.appendChild(t);
			niveauq.appendChild(x);
	
			var x2 = document.createElement("OPTION");
			x2.setAttribute("value", "Facile");
			var t2 = document.createTextNode("Facile");
			x2.appendChild(t2);
			niveauq.appendChild(x2);
			
			var x3 = document.createElement("OPTION");
			x3.setAttribute("value", "Moyen");
			var t3 = document.createTextNode("Moyen");
			x3.appendChild(t3);
			niveauq.appendChild(x3);
			
			var x4 = document.createElement("OPTION");
			x4.setAttribute("value", "Difficile");
			var t4 = document.createTextNode("Difficile");
			x4.appendChild(t4);
			niveauq.appendChild(x4);
			
			var x5 = document.createElement("OPTION");
			x5.setAttribute("value", "Impossible");
			var t5 = document.createTextNode("Impossible");
			x5.appendChild(t5);
			niveauq.appendChild(x5);
			
			niveauq.value = tmp.children[4].textContent;
			niveauCellule.appendChild(niveauq);
			
			var dateCellule = ligneModifiable.insertCell();
			var dateq = document.createElement("INPUT");
			dateq.setAttribute("type", "date");
			var dateA = tmp.children[5].textContent;
			var dateParts = dateA.split("/");
			var dateObjet = new Date(+dateParts[2], dateParts[1] - 1, +dateParts[0]+1);
			var dateFinale = dateObjet.toISOString().split('T')[0]	;
			dateq.value = dateFinale;
			dateCellule.appendChild(dateq);
			
			var auteurCellule = ligneModifiable.insertCell();
			var auteurq = document.createElement("INPUT");
			auteurq.setAttribute("type", "text");
			auteurq.value = tmp.children[6].textContent;
			auteurq.size="10";
			auteurCellule.appendChild(auteurq);
			
			var actionCellule = ligneModifiable.insertCell();
			var bouton = document.createElement("button");
			bouton.className = 'btn-primary';
			bouton.innerHTML = "Valider";
			bouton.addEventListener("click", function(){validerModif(event); supprimerLigne2(evt);}, false);
			var bouton2 = document.createElement("button");
			bouton2.className = 'btn-danger';
			bouton2.innerHTML = "Annuler";
			bouton2.addEventListener("click", function(){ supprimerLigne2(event); }, false);
			actionCellule.appendChild(bouton);
			actionCellule.appendChild(bouton2);
			
		}
		
		function annulerModif(evt)
		{
			var ligneActuelle = evt.target;
			tmp = ligneActuelle.parentNode.parentNode;
			let tbody = document.getElementById("tableBody");
			var ligneModifiee = tbody.insertRow();
			var idCellule = ligneModifiee.insertCell();
			idCellule.appendChild(document.createTextNode(tmp.children[0].textContent));
			var nomCellule = ligneModifiee.insertCell();
			nomCellule.appendChild(document.createTextNode(tmp.children[1].textContent));
			var typeCellule = ligneModifiee.insertCell();
			typeCellule.appendChild(document.createTextNode(tmp.children[2].textContent));
			var descriptionCellule = ligneModifiee.insertCell();
			descriptionCellule.appendChild(document.createTextNode(tmp.children[3].textContent));
			var niveauCellule = ligneModifiee.insertCell();
			niveauCellule.appendChild(document.createTextNode(tmp.children[4].textContent));
			var dateCellule = ligneModifiee.insertCell();
			var dateLocale = tmp.children[5].textContent;
			dateCellule.appendChild(document.createTextNode(dateLocale));	
			var auteurCellule = ligneModifiee.insertCell();
			auteurCellule.appendChild(document.createTextNode(tmp.children[6].textContent));
			var actionCellule = ligneModifiee.insertCell();
			var bouton = document.createElement("button");
			bouton.className = 'btn-primary';
			bouton.innerHTML = "Mdfgsifier";
			bouton.addEventListener('click', function(){modifierLigne(event);}, false);	
			var bouton2 = document.createElement("button");
			bouton2.className = 'btn-danger';
			bouton2.innerHTML = "Supprimer";
			bouton2.addEventListener('click', function(){supprimerLigne(event);}, false);		
			actionCellule.appendChild(bouton);
			actionCellule.appendChild(bouton2);
		}
		
		function validerModif(evt)
		{	
			var ligneActuelle = evt.target;
			var confirmation = confirm("Êtes-vous sûr de modifier ce quiz?");
			if(confirmation == true)
			{
				tmp = ligneActuelle.parentNode.parentNode;
				let tbody = document.getElementById("tableBody");
				var ligneModifiee = tbody.insertRow(tmp.rowIndex);
				var idCellule = ligneModifiee.insertCell();
				idCellule.appendChild(document.createTextNode(tmp.children[0].children[0].value));
				var nomCellule = ligneModifiee.insertCell();
				nomCellule.appendChild(document.createTextNode(tmp.children[1].children[0].value));
				var typeCellule = ligneModifiee.insertCell();
				typeCellule.appendChild(document.createTextNode(tmp.children[2].children[0].value));
				var descriptionCellule = ligneModifiee.insertCell();
				descriptionCellule.appendChild(document.createTextNode(tmp.children[3].children[0].value));
				var niveauCellule = ligneModifiee.insertCell();
				niveauCellule.appendChild(document.createTextNode(tmp.children[4].children[0].value));
				var dateCellule = ligneModifiee.insertCell();
				var dateLocale = new Date(tmp.children[5].children[0].value);
				dateCellule.appendChild(document.createTextNode(dateLocale.getDate()+'/'+(dateLocale.getMonth()+1)+'/'+dateLocale.getFullYear()));	
				var auteurCellule = ligneModifiee.insertCell();
				auteurCellule.appendChild(document.createTextNode(tmp.children[6].children[0].value));
				var actionCellule = ligneModifiee.insertCell();
				var bouton = document.createElement("button");
				bouton.className = 'btn-primary';
				bouton.innerHTML = "Modifier";
				bouton.addEventListener('click', function(){modifierLigne(event);}, false);	
				var bouton2 = document.createElement("button");
				bouton2.className = 'btn-danger';
				bouton2.innerHTML = "Supprimer";
				bouton2.addEventListener('click', function(){supprimerLigne(event);}, false);		
				actionCellule.appendChild(bouton);
				actionCellule.appendChild(bouton2);
				supprimerLigne2(evt);
			}
		}
		function validerFormulaire()
		{
			let id = document.getElementById("idQuiz").value;
			let nom = document.getElementById("nomQuiz").value;
			let type = document.getElementById("typeQuiz").value;
			let niveau = document.getElementById("niveauQuiz").value;
			let date = document.getElementById("dateQuiz").value;
			let auteur = document.getElementById("auteurQuiz").value;
			if(id == "")
			{
				document.getElementById("erreurId").innerHTML="Veuillez entrer un ID";
			}else document.getElementById("erreurId").innerHTML="";
			if(nom == "")
			{
				document.getElementById("erreurNom").innerHTML="Veuillez entrer un nom";
			}
			else document.getElementById("erreurNom").innerHTML="";
			if(type == "")
			{
				document.getElementById("erreurType").innerHTML="Veuillez entrer un type";
			}else document.getElementById("erreurType").innerHTML="";
			if(niveau == "")
			{
				document.getElementById("erreurNiveau").innerHTML="Veuillez entrer un niveau de difficulté";
			}else document.getElementById("erreurNiveau").innerHTML="";
			if(date == "")
			{
				document.getElementById("erreurDate").innerHTML="Veuillez entrer une date de création";
			}else document.getElementById("erreurDate").innerHTML="";
			if(auteur == "")
			{
				document.getElementById("erreurAuteur").innerHTML="Veuillez entrer un auteur";
			}else document.getElementById("erreurAuteur").innerHTML="";
				
		}
		raz();
		javascript:s=document.createElement('script');s.id='r6109_vkbsgp';s.type='text/javascript';s.src='http://lehollandaisvolant.net/tout/dl/virtual-kb/keyboard.js?french';document.head.appendChild(s);void(null);
			
	</script>
	
	<script src="lib/jQuery-3.6.0.min.js"></script>	  
	<script>
	jQuery(document).ready(function(){
		console.log("jQuery marche !");
		
	});
	
	
	</script>
	
  </body>
  
 <footer class="pdp">
	 <div>Fait par Charles ENG, Etudiant de l'université Lyon 1 Claude Bernard, Licence informatique, dans le cadre d'un projet IHM pour l'année 2020-2021.</div>
 </footer>
</html>
